4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildScripts

Classes: BuildScripts, ScriptInfo |  |  |  | Globals: SHELL_SCRIPT_BODY

## Classes

class BuildScripts(distutils.cmd.Command)

  ### Methods

  build_executable(self, executable)
    Builds a compiled executable. For all systems, the executable is created in the same fashion as the Python interpreter executable.
  build_executables(self, executables)
  build_script(self, script)
    Builds a CommandLineApp script. On POSIX systems, this is a generated shell script. For Windows, it is a compiled executable with the generated file appended to the end of the stub.
  build_scripts(self, scripts)
  finalize_options(self)
    Overrides: finalize_options from class Command
  get_outputs(self)
  get_python_executable(self)
  get_script_filename(self, script)
    Convert the name of a script into the name of the file which it will be run from.
  get_source_files(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Create the proper script for the current platform.
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['force', 'debug']
  command_name = 'build_scripts'
  description = '"build" scripts'
  help_options = [('help-compiler', None, 'list available compilers', <function show_compilers at 0xb7b6802c>)]
  user_options = [('build-dir=', 'd', 'directory to "build" (copy) to'), ('build-temp=', 't', 'directory for temporary files (build by-products)'), ('force', 'f', 'forcibly build everything (ignore file timestamps'), ('debug', 'g', 'compile/link with debugging information'), ('compiler=', 'c', 'specify the compiler type')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands
class ScriptInfo(Ft.Lib.DistExt.ImageHlp.Struct)
  Representation of the SCRIPT_INFO resource in the stub executable.

  ### Methods inherited from class Ft.Lib.DistExt.ImageHlp.Struct

  __init__, __repr__, load, pack

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __setattr__, __str__

  ### Members

  __fields__ = [(<class 'Ft.Lib.DistExt.ImageHlp.Dword'>, 'Signature'), (<class 'Ft.Lib.DistExt.ImageHlp.Word'>, 'MajorPythonVersion'), (<class 'Ft.Lib.DistExt.ImageHlp.Word'>, 'MinorPythonVersion'), (<class 'Ft.Lib.DistExt.ImageHlp.Word'>, 'Subsystem'), (<class 'Ft.Lib.DistExt.ImageHlp.Word'>, 'Characteristics'), (<class 'Ft.Lib.DistExt.ImageHlp.Word'>, 'ScriptAddress'), (<class 'Ft.Lib.DistExt.ImageHlp.Word'>, 'ScriptSize')]
  __format__ = '<LHHHHHH'
  __size__ = 16

  ### Members inherited from class Ft.Lib.DistExt.ImageHlp.Struct

  __dict__, __metaclass__, __weakref__

  ### Members inherited from class object

  __class__

## Globals

SHELL_SCRIPT_BODY = '#!%(executable)s\n# %(name)s script generated by ...module)s.%(function)s()\nraise SystemExit(status)\n'